<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: MeLOn - Machine Learning models for Optimization</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('index.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div><div class="header">
  <div class="headertitle"><div class="title">MeLOn - Machine Learning models for Optimization </div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="section author"><dt>Authors</dt><dd>Artur M. Schweidtmann, Linus Netze, and Alexander Mitsos </dd></dl>
<dl class="section date"><dt>Date</dt><dd>26.05.2020</dd></dl>
<p>Thank you for using MeLOn! If you have any issues, concerns, or comments, please communicate them using the Issues functionality at <a href="https://git.rwth-aachen.de/avt.svt/public/melon.git">https://git.rwth-aachen.de/avt.svt/public/melon.git</a> or send an e-mail to <a href="#" onclick="location.href='mai'+'lto:'+'art'+'ur'+'.sc'+'hw'+'eid'+'tm'+'ann'+'@r'+'wth'+'-a'+'ach'+'en'+'.de'; return false;">artur<span class="obfuscator">.nosp@m.</span>.sch<span class="obfuscator">.nosp@m.</span>weidt<span class="obfuscator">.nosp@m.</span>mann<span class="obfuscator">.nosp@m.</span>@rwth<span class="obfuscator">.nosp@m.</span>-aac<span class="obfuscator">.nosp@m.</span>hen.d<span class="obfuscator">.nosp@m.</span>e</a></p>
<h1><a class="anchor" id="intro_sec"></a>
Introduction</h1>
<p>MeLOn provides scripts for the training of various machine-learning models and their C++ implementation which can be used in the open-source solver MAiNGO. The machine-learning module git repository currently contains the following models: Artificial neural networks for regression Gaussian processes for regression (also known as Kriging)</p>
<p>Further models are under current develpment and will be published soon.</p>
<p>Note that MeLOn is a submodule of our global solver MAiNGO. Thus, it will be automatically included as a dependency when you download MAiNGO and initialize &amp; update the submodules. Then, the developed machine learning models can be used within MAiNGO.</p>
<p>Also, note that we have developed various envelopes or tight convex and concave relaxatoins of relevant functions. These functions are implemented within Mc++. When using MeLOn or MAiNGO, Mc++ is automatically inlcuded as a submodule.</p>
<p>This manual is divided in the following sections:</p><ul>
<li><a class="el" href="install.html">Installing and Executing MeLOn</a></li>
<li><a class="el" href="models.html">Models</a></li>
<li><a class="el" href="bib.html">Where can I read more?</a> </li>
</ul>
</div></div><!-- PageDoc -->
<a href="doxygen_crawl.html"/>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
